Skip to main content
POST
Get invoice details for a node

Authorizations

Token
string
header
required

API token sent in the Token header.

Path Parameters

nodeId
integer
required

ID for a specific node (property/region etc.) as found in the response from info API endpoint

commodityCodes
string
required

Comma separated list of commodity codes, ie. ELECTRIC,NATURAL_GAS (full list found as enum in the Commodity model)

startDate
string<date>
required

Used to limit query to invoices with statement dates after start date (yyyy-mm-dd)

endDate
string<date>
required

Used to limit query to invoices with statement dates before end date (yyyy-mm-dd)

Response

Successful operation

The response is of type object.